summaryrefslogtreecommitdiffstats
path: root/scripts/mpv-config
diff options
context:
space:
mode:
authorwm4 <wm4@nowhere>2012-10-12 10:41:41 +0200
committerwm4 <wm4@nowhere>2012-10-13 10:37:32 +0200
commitb7b804926a5154be424a1cba983ace626abb2198 (patch)
tree339fd60b53ef380cd5b14d7ffadb440d1d60ef21 /scripts/mpv-config
downloadmpv-build-b7b804926a5154be424a1cba983ace626abb2198.tar.bz2
mpv-build-b7b804926a5154be424a1cba983ace626abb2198.tar.xz
Initial commit
This is based on mplayer-git [1], except that it doesn't need Python. Some features, such as specifying custom options, are not available, but these should be considered out of the scope of the basic build wrapper. [1] http://repo.or.cz/w/mplayer-build.git
Diffstat (limited to 'scripts/mpv-config')
-rwxr-xr-xscripts/mpv-config8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/mpv-config b/scripts/mpv-config
new file mode 100755
index 0000000..1b3a976
--- /dev/null
+++ b/scripts/mpv-config
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+OPTIONS=""
+
+BUILD="$(pwd)"
+cd "$BUILD"/mpv
+PKG_CONFIG_PATH="$BUILD"/build_libs/lib/pkgconfig ./configure --extra-cflags=-I"$BUILD"/build_libs/include --extra-ldflags=-L"$BUILD"/build_libs/lib $OPTIONS